package mx.com.amx.mx.dda.crn.dto;

import java.io.Serializable;

/**
 * Es la representacion de la tabla DLA_C_PARAMETRO. Se usa para el manejo de las operaciones BD. 
 */
public class ParametroDTO implements Serializable 
{
	private static final long serialVersionUID = 1L;
	private String CLAVE;
	private String DESCRIPCION;
	private String VALOR;
	
	public String getCLAVE() {
		return CLAVE;
	}
	public void setCLAVE(String cLAVE) {
		CLAVE = cLAVE;
	}
	public String getDESCRIPCION() {
		return DESCRIPCION;
	}
	public void setDESCRIPCION(String dESCRIPCION) {
		DESCRIPCION = dESCRIPCION;
	}
	public String getVALOR() {
		return VALOR;
	}
	public void setVALOR(String vALOR) {
		VALOR = vALOR;
	}
	
	public String toString() 
	{
		StringBuilder result = new StringBuilder();
		String NEW_LINE = System.getProperty("line.separator");
		result.append(" [Begin of Class] " + NEW_LINE);
		result.append(this.getClass().getSimpleName() + " Object {" + NEW_LINE);
		result.append(" CLAVE: _" + this.getCLAVE() + "_" + NEW_LINE);
		result.append(" DESCRIPCION: _" + this.getDESCRIPCION() + "_" + NEW_LINE);
		result.append(" VALOR: _" + this.getVALOR() + "_" + NEW_LINE);
		result.append(" [End of Class] " + NEW_LINE);
		result.append("}");
		NEW_LINE = null;

		return result.toString();
	}
	
}
